body {
    background-color: #F3F4F6;
}

* {
    box-sizing: border-box;
}

#main.form-layout {
    min-height: calc(100vh - 298px)
}

.form-layout .title {
    font-size: 36px;
    font-weight: 500;
}

.form-layout .sub-title {
    font-size: 16px;
}

.form-layout .form-box {
    padding: 40px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.16);
}

.form-layout .question-row + .question-row {
    margin-top: 32px;
}

.form-layout .form-scroll-box {
    height: auto;
    padding: 24px;
    background-color: #fff;
    overflow: auto;
}

.form-layout .form-button {
    width: 547px;
    height: 61px;
    border-radius: 3px;
    background-color: #306fc1;
    border: none;
    color: #FFF;
    font-weight: 500;
    font-size: 18px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    max-width: 100%;
}

.form-layout .form-button.default {
    background-color: #7E7E7E;
}

.form-layout .form-error .error-text {
    font-size: 14px;
    font-weight: 500;
    color: #d94040;
    margin-top: 6px;
    position: relative;
    padding-left: 20px;
}

.form-layout .form-error .error-text::before {
    content: '';
    position: absolute;
    width: 16px;
    height: 16px;
    background-image: url("../img/icons/form-error.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.form-layout .form-error .form-input:not(.other-input),
.form-layout .other-error .form-input.other-input,
.form-layout .form-error .form-select,
.form-layout .form-error .form-textarea,
.form-layout .form-error .checkbox-customize input[type=checkbox] {
    border: solid 1px #d94040;
    background-color: #ffe4e4;
}

.form-layout .form-confirm-row {
    padding: 24px 0;
    border-bottom: 1px solid #CDCED5;
}

.label-group {
    display: flex;
    align-items: center;
    margin-bottom: 12px;
}

.label {
    font-size: 16px;
    font-weight: 500;
}

.required {
    background-color: #d94040;
    font-size: 12px;
    font-weight: 500;
    color: #fff;
    padding: 5px 9px;
    border-radius: 3px;
}

.form-input, .form-select {
    border-radius: 3px;
    border: solid 1px #cdced5;
    background-color: #fff;
    height: 48px;
    display: block;
    width: 100%;
    padding: 8px 16px;
}

.form-input::placeholder, .form-textarea::placeholder {
    color: #a5a5a5;
}

.form-textarea {
    border-radius: 3px;
    border: solid 1px #cdced5;
    background-color: #fff;
    display: block;
    width: 100%;
    padding: 8px 16px;
}

.checkbox-customize {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.checkbox-customize label {
    cursor: pointer;
}

.checkbox-customize input[type=checkbox] {
    position: relative;
    border: solid 1px #bababa;
    background-color: #fff;
    border-radius: 1px;
    cursor: pointer;
    line-height: 0;
    margin: 0 6px 0 0 !important;
    outline: 0;
    padding: 0 !important;
    vertical-align: text-top;
    height: 18px;
    width: 18px;
    -webkit-appearance: none;
}

.checkbox-customize input[type=checkbox]:checked {
    background-color: #306fc1 !important;
}

.checkbox-customize input[type=checkbox]:checked:before {
    content: '';
    position: absolute;
    right: 50%;
    top: 50%;
    width: 4px;
    height: 10px;
    border: solid #FFF;
    border-width: 0 2px 2px 0;
    margin: -1px -1px 0 -1px;
    transform: rotate(45deg) translate(-50%, -50%);
    z-index: 2;
}

.radio-customize [type="radio"]:checked,
.radio-customize [type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}

.radio-customize [type="radio"]:checked + label,
.radio-customize [type="radio"]:not(:checked) + label {
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
}

.radio-customize [type="radio"] + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 18px;
    height: 18px;
    border-radius: 100%;
    border: solid 1px #bababa;
    background-color: #fff;
}

.radio-customize [type="radio"]:checked + label:before {
    border: solid 1px #306fc1;
}

.radio-customize [type="radio"]:checked + label:after,
.radio-customize [type="radio"]:not(:checked) + label:after {
    content: '';
    width: 12px;
    height: 12px;
    background: #306fc1;
    position: absolute;
    top: 4px;
    left: 4px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

.radio-customize [type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}

.radio-customize [type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.checkbox-customize + .checkbox-customize,
.radio-customize + .radio-customize {
    margin-top: 8px;
}

@media (max-width: 896px) {
    body {
        padding-top: 94px;
    }

    .form-layout .form-box {
        padding: 16px;
    }
}

.error-box {
    margin-top: 24px;
    padding: 0 15px;
    line-height: 50px;
    border: solid 1px #d94040;
    background-color: #ffe4e4;
    font-weight: 500;
    color: #d94040;
}

.form-scroll-box a {
    color: #004CA0;
    text-decoration: underline;
}
